Service (Template)
2 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getIgmpTemplate | GET | Get IGMP template setting |
| modifyIgmpTemplate | PUT | Modify IGMP template setting |
getIgmpTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/service/iptv/igmp
Get IGMP template setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site ID |
// omada_call_operation
{
"operationId": "getIgmpTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get IGMP template setting of the site with the given omadacId and siteId.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
-33011 - Operation failed because other operations are being performed on this site template. Please wait and try again later.
modifyIgmpTemplate
PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/service/iptv/igmp
Modify IGMP template setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site ID |
Request body — application/json (required) — schema IgmpTemplateOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
enable | boolean | yes | |
version | integer | yes | Version should be a value as follows: 2:v2; 3:v3. |
wanPortId | string | yes | wan port ID, can be obtained from 'Get site template internet basic info' interface. |
// omada_call_operation
{
"operationId": "modifyIgmpTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify IGMP template setting info of the site with the given params.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
-33011 - Operation failed because other operations are being performed on this site template. Please wait and try again later.